/*
   Header file for fea.c
*/

#define CR  0xD
#define LF  0xA
#define BLANK " "
#define TRUE  (1==1)
#define FALSE (0==1)
#define _A_NORMAL 0
#define _MAX_PATH 256
#define MAXPGM 10

/* keyboard scan codes */ /* convert to word size for assembly routine */
#define PG_UP      (0x4900)
#define PG_DN      (0x5100)
#define KEY_HOME   (0x4700)
#define KEY_END    (0x4F00)
#define KEY_UP     (0x4800)
#define KEY_DN     (0x5000)
#define KEY_LT     (0x4B00)
#define KEY_RT     (0x4D00)
#define KEY_TAB    (0x0F09)
#define RETURN     (0x1C0D)
#define ESC        (0x011B)
#define SPACEBAR   (0x3920)

void go_spawn(char *cmdstr);
void append_args(int);
char Get_Pgm_Info(long, FILE *);
int  Get_More_Addr(long, FILE *);
long Get_Associate_Pgm_Addr(char *, FILE *);
char *Check_Program(char *);
int  kbdhndlr(int, FILE *);
int  _kbget(void);
void _clean(char *);
