# Make file for FEA
# Author: BAHCL   e-mail:bahcl@hotmail.com
# Freeware under GNU GPL version 2
#
# How to use:
#      make -fFEA.mak -Dtc=the_path_of_TurboC
# e.g. make -fFEA.mak -Dtc=c:\tc\
#
#
# NASM the Net Assembler
asm=nasm

all: FEA.exe

FEA.exe: FEA.OBJ FEA.O
    $(tc)tlink /c $(tc)lib\c0s FEA FEA.O,FEA,,$(tc)lib\cs

FEA.OBJ: FEA.C FEA.H
   $(tc)tcc -c FEA.C

FEA.O: FEA.ASM
   nasm -fobj FEA.ASM -oFEA.O

clean:
   del FEA.EXE
   del FEA.OBJ
   del FEA.MAP
   del FEA.O
